#ifndef ARRAY_H
#define ARRAY_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

/*---------------------------------*/
/*   Specialized array interface   */
/*---------------------------------*/

/* integer array */

#define gTypePrefix i
#define gType1      int

#include <g_array.h>

#undef gType1
#undef gTypePrefix

/* double array */

#define gTypePrefix d
#define gType1      double

#include <g_array.h>

#undef gType1
#undef gTypePrefix

#endif
