/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <iostream>
#include <employee.H>

Employee::Employee(string n, string d) : Person(n), department(d) {}

void
Employee::print() const
{
  Person::print();
  cout << "\tdept:\t" << department << endl;
}
