#ifndef EDUCATION_H
#define EDUCATION_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <iostream>
#include <string>

/*-------------------------*/
/*   education interface   */
/*-------------------------*/

class Education {
private:

  string diploma;

public:

  Education(string d);
  virtual ~Education() {}
  virtual void print() const;
};

#endif
