#ifndef EDUCATION_H
#define EDUCATION_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <ooc.h>

/*-------------------------*/
/*   education interface   */
/*   abstract base class   */ 
/*-------------------------*/

#undef  OBJECT
#define OBJECT education

/* Object interface */
BASEOBJECT_INTERFACE

  char const* private(diploma);

BASEOBJECT_METHODS

  void constMethod(print);

ENDOF_INTERFACE

/* Class interface */
ABSTRACTCLASS_INTERFACE

  void method_(init) char const diploma[] __;
  void method_(copy) t_education const*const edu __;

ENDOF_INTERFACE

#endif
