#ifndef EMPLOYEE_H
#define EMPLOYEE_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <person.H>

/*------------------------*/
/*   employee interface   */
/*   derive from person   */
/*------------------------*/

class Employee : public Person {
private:

  string department;

public:

  Employee(string n, string d);
  virtual ~Employee() {}
  virtual void print() const;
};

#endif
