/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <iostream>
#include <manager.H>

Manager::Manager(string n, string de, string di, int l) : 
  Employee(n,de), Education(di), level(l) {}

void
Manager::print() const
{
  Employee::print();
  Education::print();
  cout << "\tlevel:\t" << level << endl;
}
