#ifndef MANAGER_H
#define MANAGER_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <employee.H>
#include <education.H>

/*---------------------------*/
/*     manager interface     */
/*   derive from employee    */
/*   derive from education   */
/*---------------------------*/

class Manager : public Employee, public Education {
private:

  int level;

public:

  Manager(string n, string de, string di, int l);
  virtual ~Manager() {}
  virtual void print() const;
};

#endif
