/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

/*-----------------------------------------*/
/*   Specialized memBlock implementation   */
/*             [abstract class]            */
/*-----------------------------------------*/

/* integer memory block */

#define gTypePrefix i
#define gType1      int

#include <g_memBlock.c>

#undef gTypePrefix
#undef gType1

/* double memory block */

#define gTypePrefix d
#define gType1      double

#include <g_memBlock.c>

#undef gTypePrefix
#undef gType1
