#ifndef MEMBLOCK_H
#define MEMBLOCK_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

/*------------------------------------*/
/*   Specialized memBlock interface   */
/*          [abstract class]          */
/*------------------------------------*/

/* integer memory block */

#define gTypePrefix i
#define gType1      int

#include <g_memBlock.h>

#undef gType1
#undef gTypePrefix

/* double memory block */

#define gTypePrefix d
#define gType1      double

#include <g_memBlock.h>

#undef gType1
#undef gTypePrefix

#endif
