#ifndef PERSON_H
#define PERSON_H

/*
 ******************************
 * Object Oriented Programming in C
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * For more information, please see the paper:
 * http://home.cern.ch/ldeniau/html/oopc/oopc.html
 *
 ******************************
 */

#include <string>

/*----------------------*/
/*   person interface   */
/*----------------------*/

class Person {
private:

  string name;

public:

  Person(string n);
  virtual ~Person() {}
  virtual void print() const;
};

#endif
